combine_clus <- function( kernel_exp, clusters, centres, cut_off ){

centre_exp = kernel_exp[centres,]
tmp = clusters
combined <-list()
while (length(tmp) != 0){
    clus = tmp[[1]]
    clus_ind = c(1)
    n = length(tmp)
    for (i in 2:n){
      if(n>=2){
        x = kernel_exp[centres[1],]
        y = kernel_exp[centres[i],]
        r = cor(x,y)
        if (r>= cut_off){
            clus_ind = c(clus_ind, i)
            clus = union(clus,tmp[[i]][1][[1]])
        } 
      }
    }
    
    tmp[clus_ind] <-NULL
    centres = setdiff(centres,centres[clus_ind])
    combined[length(combined)+1] <- list(clus)
  }
return(combined)
}